Index: code/branches/core2/src/orxonox/core/CommandExecutor.cc
===================================================================
--- code/branches/core2/src/orxonox/core/CommandExecutor.cc	(revision 950)
+++ code/branches/core2/src/orxonox/core/CommandExecutor.cc	(revision 951)
@@ -53,6 +53,6 @@
     bool CommandExecutor::addConsoleCommandShortcut(ExecutorStatic* executor)
     {
-        CommandExecutor::getInstance().consoleCommandShortcuts_s[executor->getName()] = executor;
-        CommandExecutor::getInstance().consoleCommandShortcuts_LC_s[getLowercase(executor->getName())] = executor;
+        CommandExecutor::getInstance().consoleCommandShortcuts_[executor->getName()] = executor;
+        CommandExecutor::getInstance().consoleCommandShortcuts_LC_[getLowercase(executor->getName())] = executor;
         return true;
     }
@@ -65,6 +65,6 @@
     ExecutorStatic* CommandExecutor::getConsoleCommandShortcut(const std::string& name)
     {
-        std::map<std::string, ExecutorStatic*>::const_iterator it = CommandExecutor::getInstance().consoleCommandShortcuts_s.find(name);
-        if (it != CommandExecutor::getInstance().consoleCommandShortcuts_s.end())
+        std::map<std::string, ExecutorStatic*>::const_iterator it = CommandExecutor::getInstance().consoleCommandShortcuts_.find(name);
+        if (it != CommandExecutor::getInstance().consoleCommandShortcuts_.end())
             return (*it).second;
         else
@@ -79,6 +79,6 @@
     ExecutorStatic* CommandExecutor::getLowercaseConsoleCommandShortcut(const std::string& name)
     {
-        std::map<std::string, ExecutorStatic*>::const_iterator it = CommandExecutor::getInstance().consoleCommandShortcuts_LC_s.find(name);
-        if (it != CommandExecutor::getInstance().consoleCommandShortcuts_LC_s.end())
+        std::map<std::string, ExecutorStatic*>::const_iterator it = CommandExecutor::getInstance().consoleCommandShortcuts_LC_.find(name);
+        if (it != CommandExecutor::getInstance().consoleCommandShortcuts_LC_.end())
             return (*it).second;
         else
@@ -88,10 +88,10 @@
     bool CommandExecutor::execute(const std::string& command)
     {
-        if (CommandExecutor::getInstance().lastProcessedCommand_s != command)
+        if (CommandExecutor::getInstance().lastProcessedCommand_ != command)
             CommandExecutor::parse(command);
 
-        CommandExecutor::getInstance().tokens_s.split(command, " ", SubString::WhiteSpaces, false, '\\', '"', '(', ')', '\0');
-
-        switch (CommandExecutor::getInstance().state_s)
+        CommandExecutor::getInstance().tokens_.split(command, " ", SubString::WhiteSpaces, false, '\\', '"', '(', ')', '\0');
+
+        switch (CommandExecutor::getInstance().state_)
         {
             case CS_Empty:
@@ -104,6 +104,6 @@
             case CS_Shortcut_Finished:
                 // call the shortcut
-                if (CommandExecutor::getInstance().shortcut_s != 0)
-                    return CommandExecutor::getInstance().shortcut_s->parse(CommandExecutor::getInstance().tokens_s.subSet(1).join());
+                if (CommandExecutor::getInstance().shortcut_ != 0)
+                    return CommandExecutor::getInstance().shortcut_->parse(CommandExecutor::getInstance().tokens_.subSet(1).join());
                 break;
             case CS_Function:
@@ -114,6 +114,6 @@
             case CS_Function_Finished:
                 // call the shortcut
-                if (CommandExecutor::getInstance().function_s != 0)
-                    return CommandExecutor::getInstance().function_s->parse(CommandExecutor::getInstance().tokens_s.subSet(2).join());
+                if (CommandExecutor::getInstance().function_ != 0)
+                    return CommandExecutor::getInstance().function_->parse(CommandExecutor::getInstance().tokens_.subSet(2).join());
                 break;
             case CS_ConfigValueClass:
@@ -126,6 +126,6 @@
             case CS_ConfigValueFinished:
                 // set the config value
-                if (CommandExecutor::getInstance().configvalue_s != 0)
-                    return CommandExecutor::getInstance().configvalue_s->parseString(CommandExecutor::getInstance().tokens_s.subSet(3).join());
+                if (CommandExecutor::getInstance().configvalue_ != 0)
+                    return CommandExecutor::getInstance().configvalue_->parseString(CommandExecutor::getInstance().tokens_.subSet(3).join());
                 break;
             case CS_KeybindKey:
@@ -147,20 +147,20 @@
     std::string CommandExecutor::complete(const std::string& command)
     {
-        if (CommandExecutor::getInstance().lastProcessedCommand_s != command)
+        if (CommandExecutor::getInstance().lastProcessedCommand_ != command)
             CommandExecutor::parse(command);
 
-        CommandExecutor::getInstance().tokens_s.split(command, " ", SubString::WhiteSpaces, false, '\\', '"', '(', ')', '\0');
+        CommandExecutor::getInstance().tokens_.split(command, " ", SubString::WhiteSpaces, false, '\\', '"', '(', ')', '\0');
 
         std::list<const std::string*> temp;
-        if (CommandExecutor::getInstance().state_s == CS_Empty)
-        {
-            temp.insert(temp.end(), CommandExecutor::getInstance().listOfPossibleShortcuts_s.begin(), CommandExecutor::getInstance().listOfPossibleShortcuts_s.end());
-            temp.insert(temp.end(), CommandExecutor::getInstance().listOfPossibleFunctionClasses_s.begin(), CommandExecutor::getInstance().listOfPossibleFunctionClasses_s.end());
-        }
-
-        switch (CommandExecutor::getInstance().state_s)
+        if (CommandExecutor::getInstance().state_ == CS_Empty)
+        {
+            temp.insert(temp.end(), CommandExecutor::getInstance().listOfPossibleShortcuts_.begin(), CommandExecutor::getInstance().listOfPossibleShortcuts_.end());
+            temp.insert(temp.end(), CommandExecutor::getInstance().listOfPossibleFunctionClasses_.begin(), CommandExecutor::getInstance().listOfPossibleFunctionClasses_.end());
+        }
+
+        switch (CommandExecutor::getInstance().state_)
         {
             case CS_Empty:
-                return (CommandExecutor::getInstance().tokens_s.subSet(0, CommandExecutor::getInstance().tokens_s.size() - 1).join() + " " + CommandExecutor::getCommonBegin(temp));
+                return (CommandExecutor::getInstance().tokens_.subSet(0, CommandExecutor::getInstance().tokens_.size() - 1).join() + " " + CommandExecutor::getCommonBegin(temp));
                 break;
             case CS_FunctionClass_Or_Shortcut_Or_Keyword:
@@ -173,5 +173,5 @@
                 break;
             case CS_Function:
-                return (CommandExecutor::getInstance().tokens_s.subSet(0, CommandExecutor::getInstance().tokens_s.size() - 1).join() + " " + CommandExecutor::getCommonBegin(CommandExecutor::getInstance().listOfPossibleFunctions_s));
+                return (CommandExecutor::getInstance().tokens_.subSet(0, CommandExecutor::getInstance().tokens_.size() - 1).join() + " " + CommandExecutor::getCommonBegin(CommandExecutor::getInstance().listOfPossibleFunctions_));
                 break;
             case CS_Function_Params:
@@ -182,8 +182,8 @@
                 break;
             case CS_ConfigValueClass:
-                return (CommandExecutor::getInstance().tokens_s.subSet(0, CommandExecutor::getInstance().tokens_s.size() - 1).join() + " " + CommandExecutor::getCommonBegin(CommandExecutor::getInstance().listOfPossibleConfigValueClasses_s));
+                return (CommandExecutor::getInstance().tokens_.subSet(0, CommandExecutor::getInstance().tokens_.size() - 1).join() + " " + CommandExecutor::getCommonBegin(CommandExecutor::getInstance().listOfPossibleConfigValueClasses_));
                 break;
             case CS_ConfigValue:
-                return (CommandExecutor::getInstance().tokens_s.subSet(0, CommandExecutor::getInstance().tokens_s.size() - 1).join() + " " + CommandExecutor::getCommonBegin(CommandExecutor::getInstance().listOfPossibleConfigValues_s));
+                return (CommandExecutor::getInstance().tokens_.subSet(0, CommandExecutor::getInstance().tokens_.size() - 1).join() + " " + CommandExecutor::getCommonBegin(CommandExecutor::getInstance().listOfPossibleConfigValues_));
                 break;
             case CS_ConfigValueType:
@@ -194,5 +194,5 @@
                 break;
             case CS_KeybindKey:
-                return (CommandExecutor::getInstance().tokens_s.subSet(0, CommandExecutor::getInstance().tokens_s.size() - 1).join() + " " + CommandExecutor::getCommonBegin(CommandExecutor::getInstance().listOfPossibleKeys_s));
+                return (CommandExecutor::getInstance().tokens_.subSet(0, CommandExecutor::getInstance().tokens_.size() - 1).join() + " " + CommandExecutor::getCommonBegin(CommandExecutor::getInstance().listOfPossibleKeys_));
                 break;
             case CS_KeybindCommand:
@@ -206,64 +206,64 @@
         }
 
-        return CommandExecutor::getInstance().lastProcessedCommand_s;
+        return CommandExecutor::getInstance().lastProcessedCommand_;
     }
 
     std::string CommandExecutor::hint(const std::string& command)
     {
-        if (CommandExecutor::getInstance().lastProcessedCommand_s != command)
+        if (CommandExecutor::getInstance().lastProcessedCommand_ != command)
             CommandExecutor::parse(command);
 
-        CommandExecutor::getInstance().tokens_s.split(command, " ", SubString::WhiteSpaces, false, '\\', '"', '(', ')', '\0');
-
-        switch (CommandExecutor::getInstance().state_s)
+        CommandExecutor::getInstance().tokens_.split(command, " ", SubString::WhiteSpaces, false, '\\', '"', '(', ')', '\0');
+
+        switch (CommandExecutor::getInstance().state_)
         {
             case CS_Empty:
-                return (CommandExecutor::dump(CommandExecutor::getInstance().listOfPossibleShortcuts_s) + "\n" + CommandExecutor::dump(CommandExecutor::getInstance().listOfPossibleFunctionClasses_s));
+                return (CommandExecutor::dump(CommandExecutor::getInstance().listOfPossibleShortcuts_) + "\n" + CommandExecutor::dump(CommandExecutor::getInstance().listOfPossibleFunctionClasses_));
                 break;
             case CS_FunctionClass_Or_Shortcut_Or_Keyword:
                 break;
             case CS_Shortcut_Params:
-                if (CommandExecutor::getInstance().shortcut_s != 0)
-                    return CommandExecutor::dump(CommandExecutor::getInstance().shortcut_s);
+                if (CommandExecutor::getInstance().shortcut_ != 0)
+                    return CommandExecutor::dump(CommandExecutor::getInstance().shortcut_);
                 break;
             case CS_Shortcut_Finished:
-                if (CommandExecutor::getInstance().shortcut_s != 0)
-                    return CommandExecutor::dump(CommandExecutor::getInstance().shortcut_s);
+                if (CommandExecutor::getInstance().shortcut_ != 0)
+                    return CommandExecutor::dump(CommandExecutor::getInstance().shortcut_);
                 break;
             case CS_Function:
-                return CommandExecutor::dump(CommandExecutor::getInstance().listOfPossibleFunctions_s);
+                return CommandExecutor::dump(CommandExecutor::getInstance().listOfPossibleFunctions_);
                 break;
             case CS_Function_Params:
-                if (CommandExecutor::getInstance().function_s != 0)
-                    return CommandExecutor::dump(CommandExecutor::getInstance().function_s);
+                if (CommandExecutor::getInstance().function_ != 0)
+                    return CommandExecutor::dump(CommandExecutor::getInstance().function_);
                 break;
             case CS_Function_Finished:
-                if (CommandExecutor::getInstance().function_s != 0)
-                    return CommandExecutor::dump(CommandExecutor::getInstance().function_s);
+                if (CommandExecutor::getInstance().function_ != 0)
+                    return CommandExecutor::dump(CommandExecutor::getInstance().function_);
                 break;
             case CS_ConfigValueClass:
-                return CommandExecutor::dump(CommandExecutor::getInstance().listOfPossibleConfigValueClasses_s);
+                return CommandExecutor::dump(CommandExecutor::getInstance().listOfPossibleConfigValueClasses_);
                 break;
             case CS_ConfigValue:
-                return CommandExecutor::dump(CommandExecutor::getInstance().listOfPossibleConfigValues_s);
+                return CommandExecutor::dump(CommandExecutor::getInstance().listOfPossibleConfigValues_);
                 break;
             case CS_ConfigValueType:
-                if (CommandExecutor::getInstance().configvalue_s != 0)
-                    return CommandExecutor::dump(CommandExecutor::getInstance().configvalue_s);
+                if (CommandExecutor::getInstance().configvalue_ != 0)
+                    return CommandExecutor::dump(CommandExecutor::getInstance().configvalue_);
                 break;
             case CS_ConfigValueFinished:
-                if (CommandExecutor::getInstance().configvalue_s != 0)
-                    return CommandExecutor::dump(CommandExecutor::getInstance().configvalue_s);
+                if (CommandExecutor::getInstance().configvalue_ != 0)
+                    return CommandExecutor::dump(CommandExecutor::getInstance().configvalue_);
                 break;
             case CS_KeybindKey:
-                return CommandExecutor::dump(CommandExecutor::getInstance().listOfPossibleKeys_s);
+                return CommandExecutor::dump(CommandExecutor::getInstance().listOfPossibleKeys_);
                 break;
             case CS_KeybindCommand:
-                if (CommandExecutor::getInstance().key_s != 0)
-                    return CommandExecutor::dump(CommandExecutor::getInstance().key_s);
+                if (CommandExecutor::getInstance().key_ != 0)
+                    return CommandExecutor::dump(CommandExecutor::getInstance().key_);
                 break;
             case CS_KeybindFinished:
-                if (CommandExecutor::getInstance().key_s != 0)
-                    return CommandExecutor::dump(CommandExecutor::getInstance().key_s);
+                if (CommandExecutor::getInstance().key_ != 0)
+                    return CommandExecutor::dump(CommandExecutor::getInstance().key_);
                 break;
             case CS_Error:
@@ -277,11 +277,11 @@
     void CommandExecutor::parse(const std::string& command, bool bInitialize)
     {
-        CommandExecutor::getInstance().tokens_s.split((command + COMMAND_EXECUTOR_CURSOR), " ", SubString::WhiteSpaces, false, '\\', '"', '(', ')', '\0');
-        CommandExecutor::getInstance().lastProcessedCommand_s = command;
+        CommandExecutor::getInstance().tokens_.split((command + COMMAND_EXECUTOR_CURSOR), " ", SubString::WhiteSpaces, false, '\\', '"', '(', ')', '\0');
+        CommandExecutor::getInstance().lastProcessedCommand_ = command;
 
         if (bInitialize)
             CommandExecutor::initialize();
 
-        switch (CommandExecutor::getInstance().state_s)
+        switch (CommandExecutor::getInstance().state_)
         {
             case CS_Empty:
@@ -290,12 +290,12 @@
                     // We want a hint for the first token
                     // Check if there is already a perfect match
-                    CommandExecutor::getInstance().functionclass_s = CommandExecutor::getIdentifierOfPossibleFunctionClass(CommandExecutor::getToken(0));
-                    CommandExecutor::getInstance().shortcut_s = CommandExecutor::getExecutorOfPossibleShortcut(CommandExecutor::getToken(0));
-
-                    if ((CommandExecutor::getInstance().functionclass_s != 0) || (CommandExecutor::getInstance().shortcut_s != 0))
+                    CommandExecutor::getInstance().functionclass_ = CommandExecutor::getIdentifierOfPossibleFunctionClass(CommandExecutor::getToken(0));
+                    CommandExecutor::getInstance().shortcut_ = CommandExecutor::getExecutorOfPossibleShortcut(CommandExecutor::getToken(0));
+
+                    if ((CommandExecutor::getInstance().functionclass_ != 0) || (CommandExecutor::getInstance().shortcut_ != 0))
                     {
                         // Yes, there is a class or a shortcut with the searched name
                         // Add a whitespace and continue parsing
-                        CommandExecutor::getInstance().state_s = CS_FunctionClass_Or_Shortcut_Or_Keyword;
+                        CommandExecutor::getInstance().state_ = CS_FunctionClass_Or_Shortcut_Or_Keyword;
                         CommandExecutor::parse(command + " ", false);
                         return;
@@ -310,5 +310,5 @@
                 {
                     // There is at least one argument: Check if it's a shortcut, a classname or a special keyword
-                    CommandExecutor::getInstance().state_s = CS_FunctionClass_Or_Shortcut_Or_Keyword;
+                    CommandExecutor::getInstance().state_ = CS_FunctionClass_Or_Shortcut_Or_Keyword;
                     CommandExecutor::parse(command, false);
                     return;
@@ -321,5 +321,5 @@
                     {
                         // We want to set a config value
-                        CommandExecutor::getInstance().state_s = CS_ConfigValueClass;
+                        CommandExecutor::getInstance().state_ = CS_ConfigValueClass;
                         CommandExecutor::parse(command, false);
                         return;
@@ -328,26 +328,26 @@
                     {
                         // We want to set a keybinding
-                        CommandExecutor::getInstance().state_s = CS_KeybindKey;
+                        CommandExecutor::getInstance().state_ = CS_KeybindKey;
                         CommandExecutor::parse(command, false);
                         return;
                     }
 
-                    if (CommandExecutor::getInstance().functionclass_s == 0)
-                        CommandExecutor::getInstance().functionclass_s = CommandExecutor::getIdentifierOfPossibleFunctionClass(CommandExecutor::getToken(0));
-                    if (CommandExecutor::getInstance().shortcut_s == 0)
-                        CommandExecutor::getInstance().shortcut_s = CommandExecutor::getExecutorOfPossibleShortcut(CommandExecutor::getToken(0));
-
-                    if ((CommandExecutor::getInstance().functionclass_s == 0) && (CommandExecutor::getInstance().shortcut_s == 0))
+                    if (CommandExecutor::getInstance().functionclass_ == 0)
+                        CommandExecutor::getInstance().functionclass_ = CommandExecutor::getIdentifierOfPossibleFunctionClass(CommandExecutor::getToken(0));
+                    if (CommandExecutor::getInstance().shortcut_ == 0)
+                        CommandExecutor::getInstance().shortcut_ = CommandExecutor::getExecutorOfPossibleShortcut(CommandExecutor::getToken(0));
+
+                    if ((CommandExecutor::getInstance().functionclass_ == 0) && (CommandExecutor::getInstance().shortcut_ == 0))
                     {
                         // Argument 1 seems to be wrong
                         AddLanguageEntry("CommandExecutor::NoSuchCommandOrClassName", "No such command or classname");
-                        CommandExecutor::getInstance().errorMessage_s = (CommandExecutor::getToken(0) + ": " + GetLocalisation("CommandExecutor::NoSuchCommandOrClassName"));
-                        CommandExecutor::getInstance().state_s = CS_Error;
-                        return;
-                    }
-                    else if (CommandExecutor::getInstance().shortcut_s != 0)
+                        CommandExecutor::getInstance().errorMessage_ = (CommandExecutor::getToken(0) + ": " + GetLocalisation("CommandExecutor::NoSuchCommandOrClassName"));
+                        CommandExecutor::getInstance().state_ = CS_Error;
+                        return;
+                    }
+                    else if (CommandExecutor::getInstance().shortcut_ != 0)
                     {
                         // Argument 1 is a shortcut: Return the needed parameter types
-                        CommandExecutor::getInstance().state_s = CS_Shortcut_Params;
+                        CommandExecutor::getInstance().state_ = CS_Shortcut_Params;
                         CommandExecutor::parse(command, false);
                         return;
@@ -356,5 +356,5 @@
                     {
                         // Argument 1 is a classname: Return the possible functions
-                        CommandExecutor::getInstance().state_s = CS_Function;
+                        CommandExecutor::getInstance().state_ = CS_Function;
                         CommandExecutor::parse(command, false);
                         return;
@@ -363,16 +363,16 @@
                 else
                 {
-                    CommandExecutor::getInstance().state_s = CS_Error;
+                    CommandExecutor::getInstance().state_ = CS_Error;
                     return;
                 }
                 break;
             case CS_Shortcut_Params:
-                if (CommandExecutor::getInstance().shortcut_s != 0)
+                if (CommandExecutor::getInstance().shortcut_ != 0)
                 {
                     // Valid command
                     // Check if there are enough parameters
-                    if (CommandExecutor::enoughParametersGiven(1, CommandExecutor::getInstance().shortcut_s))
-                    {
-                        CommandExecutor::getInstance().state_s = CS_Shortcut_Finished;
+                    if (CommandExecutor::enoughParametersGiven(1, CommandExecutor::getInstance().shortcut_))
+                    {
+                        CommandExecutor::getInstance().state_ = CS_Shortcut_Finished;
                         return;
                     }
@@ -381,10 +381,10 @@
                 {
                     // Something is wrong
-                    CommandExecutor::getInstance().state_s = CS_Error;
+                    CommandExecutor::getInstance().state_ = CS_Error;
                     return;
                 }
                 break;
             case CS_Function:
-                if (CommandExecutor::getInstance().functionclass_s != 0)
+                if (CommandExecutor::getInstance().functionclass_ != 0)
                 {
                     // We have a valid classname
@@ -393,11 +393,11 @@
                     {
                         // There is a second argument: Check if it's a valid functionname
-                        CommandExecutor::getInstance().function_s = CommandExecutor::getExecutorOfPossibleFunction(CommandExecutor::getToken(1), CommandExecutor::getInstance().functionclass_s);
-                        if (CommandExecutor::getInstance().function_s == 0)
+                        CommandExecutor::getInstance().function_ = CommandExecutor::getExecutorOfPossibleFunction(CommandExecutor::getToken(1), CommandExecutor::getInstance().functionclass_);
+                        if (CommandExecutor::getInstance().function_ == 0)
                         {
                             // Argument 2 seems to be wrong
                             AddLanguageEntry("CommandExecutor::NoSuchFunctionnameIn", "No such functionname in");
-                            CommandExecutor::getInstance().errorMessage_s = (CommandExecutor::getToken(1) + ": " + GetLocalisation("CommandExecutor::NoSuchFunctionnameIn") + " " + CommandExecutor::getInstance().functionclass_s->getName());
-                            CommandExecutor::getInstance().state_s = CS_Error;
+                            CommandExecutor::getInstance().errorMessage_ = (CommandExecutor::getToken(1) + ": " + GetLocalisation("CommandExecutor::NoSuchFunctionnameIn") + " " + CommandExecutor::getInstance().functionclass_->getName());
+                            CommandExecutor::getInstance().state_ = CS_Error;
                             return;
                         }
@@ -405,5 +405,5 @@
                         {
                             // Argument 2 seems to be a valid functionname: Get the parameters
-                            CommandExecutor::getInstance().state_s = CS_Function_Params;
+                            CommandExecutor::getInstance().state_ = CS_Function_Params;
                             CommandExecutor::parse(command, false);
                             return;
@@ -414,11 +414,11 @@
                         // There is no finished second argument
                         // Check if there's already a perfect match
-                        if (CommandExecutor::getInstance().tokens_s.size() >= 2)
-                        {
-                            CommandExecutor::getInstance().function_s = CommandExecutor::getExecutorOfPossibleFunction(CommandExecutor::getToken(1), CommandExecutor::getInstance().functionclass_s);
-                            if (CommandExecutor::getInstance().function_s != 0)
+                        if (CommandExecutor::getInstance().tokens_.size() >= 2)
+                        {
+                            CommandExecutor::getInstance().function_ = CommandExecutor::getExecutorOfPossibleFunction(CommandExecutor::getToken(1), CommandExecutor::getInstance().functionclass_);
+                            if (CommandExecutor::getInstance().function_ != 0)
                             {
                                 // There is a perfect match: Add a whitespace and continue parsing
-                                CommandExecutor::getInstance().state_s = CS_Function_Params;
+                                CommandExecutor::getInstance().state_ = CS_Function_Params;
                                 CommandExecutor::parse(command + " ", false);
                                 return;
@@ -427,5 +427,5 @@
 
                         // No perfect match: Create the list of all possible functions and return
-                        CommandExecutor::createListOfPossibleFunctions(CommandExecutor::getToken(1), CommandExecutor::getInstance().functionclass_s);
+                        CommandExecutor::createListOfPossibleFunctions(CommandExecutor::getToken(1), CommandExecutor::getInstance().functionclass_);
                         return;
                     }
@@ -433,16 +433,16 @@
                 else
                 {
-                    CommandExecutor::getInstance().state_s = CS_Error;
+                    CommandExecutor::getInstance().state_ = CS_Error;
                     return;
                 }
                 break;
             case CS_Function_Params:
-                if ((CommandExecutor::getInstance().functionclass_s != 0) && (CommandExecutor::getInstance().function_s != 0))
+                if ((CommandExecutor::getInstance().functionclass_ != 0) && (CommandExecutor::getInstance().function_ != 0))
                 {
                     // Valid command
                     // Check if there are enough parameters
-                    if (CommandExecutor::enoughParametersGiven(2, CommandExecutor::getInstance().function_s))
-                    {
-                        CommandExecutor::getInstance().state_s = CS_Function_Finished;
+                    if (CommandExecutor::enoughParametersGiven(2, CommandExecutor::getInstance().function_))
+                    {
+                        CommandExecutor::getInstance().state_ = CS_Function_Finished;
                         return;
                     }
@@ -451,5 +451,5 @@
                 {
                     // Something is wrong
-                    CommandExecutor::getInstance().state_s = CS_Error;
+                    CommandExecutor::getInstance().state_ = CS_Error;
                     return;
                 }
@@ -463,11 +463,11 @@
                     {
                         // There is a second argument: Check if it's a valid classname
-                        CommandExecutor::getInstance().configvalueclass_s = CommandExecutor::getIdentifierOfPossibleConfigValueClass(CommandExecutor::getToken(1));
-                        if (CommandExecutor::getInstance().configvalueclass_s == 0)
+                        CommandExecutor::getInstance().configvalueclass_ = CommandExecutor::getIdentifierOfPossibleConfigValueClass(CommandExecutor::getToken(1));
+                        if (CommandExecutor::getInstance().configvalueclass_ == 0)
                         {
                             // Argument 2 seems to be wrong
                             AddLanguageEntry("CommandExecutor::NoSuchClassWithConfigValues", "No such class with config values");
-                            CommandExecutor::getInstance().errorMessage_s = (CommandExecutor::getToken(1) + ": " + GetLocalisation("CommandExecutor::NoSuchClassWithConfigValues"));
-                            CommandExecutor::getInstance().state_s = CS_Error;
+                            CommandExecutor::getInstance().errorMessage_ = (CommandExecutor::getToken(1) + ": " + GetLocalisation("CommandExecutor::NoSuchClassWithConfigValues"));
+                            CommandExecutor::getInstance().state_ = CS_Error;
                             return;
                         }
@@ -475,5 +475,5 @@
                         {
                             // Argument 2 seems to be a valid classname: Search for possible config values
-                            CommandExecutor::getInstance().state_s = CS_ConfigValue;
+                            CommandExecutor::getInstance().state_ = CS_ConfigValue;
                             CommandExecutor::parse(command, false);
                             return;
@@ -484,11 +484,11 @@
                         // There's no finished second argument
                         // Check if there's already a perfect match
-                        if (CommandExecutor::getInstance().tokens_s.size() >= 2)
-                        {
-                            CommandExecutor::getInstance().configvalueclass_s = CommandExecutor::getIdentifierOfPossibleConfigValueClass(CommandExecutor::getToken(1));
-                            if (CommandExecutor::getInstance().configvalueclass_s != 0)
+                        if (CommandExecutor::getInstance().tokens_.size() >= 2)
+                        {
+                            CommandExecutor::getInstance().configvalueclass_ = CommandExecutor::getIdentifierOfPossibleConfigValueClass(CommandExecutor::getToken(1));
+                            if (CommandExecutor::getInstance().configvalueclass_ != 0)
                             {
                                 // There is a perfect match: Add a whitespace and continue parsing
-                                CommandExecutor::getInstance().state_s = CS_ConfigValue;
+                                CommandExecutor::getInstance().state_ = CS_ConfigValue;
                                 CommandExecutor::parse(command + " ", false);
                                 return;
@@ -504,10 +504,10 @@
                 {
                     // Something is wrong
-                    CommandExecutor::getInstance().state_s = CS_Error;
+                    CommandExecutor::getInstance().state_ = CS_Error;
                     return;
                 }
                 break;
             case CS_ConfigValue:
-                if (((CommandExecutor::getToken(0) == COMMAND_EXECUTOR_KEYWORD_SET_CONFIG_VALUE) || (CommandExecutor::getToken(0) == COMMAND_EXECUTOR_KEYWORD_SET_CONFIG_VALUE_TEMPORARY)) && (CommandExecutor::getInstance().configvalueclass_s != 0))
+                if (((CommandExecutor::getToken(0) == COMMAND_EXECUTOR_KEYWORD_SET_CONFIG_VALUE) || (CommandExecutor::getToken(0) == COMMAND_EXECUTOR_KEYWORD_SET_CONFIG_VALUE_TEMPORARY)) && (CommandExecutor::getInstance().configvalueclass_ != 0))
                 {
                     // Check if there is a third argument
@@ -515,11 +515,11 @@
                     {
                         // There is a third argument: Check if it's a valid config value
-                        CommandExecutor::getInstance().configvalue_s = CommandExecutor::getContainerOfPossibleConfigValue(CommandExecutor::getToken(2), CommandExecutor::getInstance().configvalueclass_s);
-                        if (CommandExecutor::getInstance().configvalue_s == 0)
+                        CommandExecutor::getInstance().configvalue_ = CommandExecutor::getContainerOfPossibleConfigValue(CommandExecutor::getToken(2), CommandExecutor::getInstance().configvalueclass_);
+                        if (CommandExecutor::getInstance().configvalue_ == 0)
                         {
                             // Argument 3 seems to be wrong
                             AddLanguageEntry("CommandExecutor::NoSuchConfigValueIn", "No such config value in");
-                            CommandExecutor::getInstance().errorMessage_s = (CommandExecutor::getToken(2) + ": " + GetLocalisation("CommandExecutor::NoSuchConfigValueIn") + " " + CommandExecutor::getInstance().configvalueclass_s->getName());
-                            CommandExecutor::getInstance().state_s = CS_Error;
+                            CommandExecutor::getInstance().errorMessage_ = (CommandExecutor::getToken(2) + ": " + GetLocalisation("CommandExecutor::NoSuchConfigValueIn") + " " + CommandExecutor::getInstance().configvalueclass_->getName());
+                            CommandExecutor::getInstance().state_ = CS_Error;
                             return;
                         }
@@ -527,5 +527,5 @@
                         {
                             // Argument 3 seems to be a valid config value: Get the type
-                            CommandExecutor::getInstance().state_s = CS_ConfigValueType;
+                            CommandExecutor::getInstance().state_ = CS_ConfigValueType;
                             CommandExecutor::parse(command, false);
                             return;
@@ -536,11 +536,11 @@
                         // There is no finished third argument
                         // Check if there's already a perfect match
-                        if (CommandExecutor::getInstance().tokens_s.size() >= 3)
-                        {
-                            CommandExecutor::getInstance().configvalue_s = CommandExecutor::getContainerOfPossibleConfigValue(CommandExecutor::getToken(2), CommandExecutor::getInstance().configvalueclass_s);
-                            if (CommandExecutor::getInstance().configvalueclass_s != 0)
+                        if (CommandExecutor::getInstance().tokens_.size() >= 3)
+                        {
+                            CommandExecutor::getInstance().configvalue_ = CommandExecutor::getContainerOfPossibleConfigValue(CommandExecutor::getToken(2), CommandExecutor::getInstance().configvalueclass_);
+                            if (CommandExecutor::getInstance().configvalueclass_ != 0)
                             {
                                 // There is a perfect match: Add a whitespace and continue parsing
-                                CommandExecutor::getInstance().state_s = CS_ConfigValueType;
+                                CommandExecutor::getInstance().state_ = CS_ConfigValueType;
                                 CommandExecutor::parse(command + " ", false);
                                 return;
@@ -549,5 +549,5 @@
 
                         // No perfect match: Create the list of all possible config values
-                        CommandExecutor::createListOfPossibleConfigValues(CommandExecutor::getToken(2), CommandExecutor::getInstance().configvalueclass_s);
+                        CommandExecutor::createListOfPossibleConfigValues(CommandExecutor::getToken(2), CommandExecutor::getInstance().configvalueclass_);
                         return;
                     }
@@ -556,16 +556,16 @@
                 {
                     // Something is wrong
-                    CommandExecutor::getInstance().state_s = CS_Error;
+                    CommandExecutor::getInstance().state_ = CS_Error;
                     return;
                 }
                 break;
             case CS_ConfigValueType:
-                if (((CommandExecutor::getToken(0) == COMMAND_EXECUTOR_KEYWORD_SET_CONFIG_VALUE) || (CommandExecutor::getToken(0) == COMMAND_EXECUTOR_KEYWORD_SET_CONFIG_VALUE_TEMPORARY)) && (CommandExecutor::getInstance().configvalueclass_s != 0) && (CommandExecutor::getInstance().configvalue_s != 0))
+                if (((CommandExecutor::getToken(0) == COMMAND_EXECUTOR_KEYWORD_SET_CONFIG_VALUE) || (CommandExecutor::getToken(0) == COMMAND_EXECUTOR_KEYWORD_SET_CONFIG_VALUE_TEMPORARY)) && (CommandExecutor::getInstance().configvalueclass_ != 0) && (CommandExecutor::getInstance().configvalue_ != 0))
                 {
                     // Valid command
                     // Check if there are enough parameters
-                    if (CommandExecutor::getInstance().tokens_s.size() >= 4)
-                    {
-                        CommandExecutor::getInstance().state_s = CS_ConfigValueFinished;
+                    if (CommandExecutor::getInstance().tokens_.size() >= 4)
+                    {
+                        CommandExecutor::getInstance().state_ = CS_ConfigValueFinished;
                         return;
                     }
@@ -574,5 +574,5 @@
                 {
                     // Something is wrong
-                    CommandExecutor::getInstance().state_s = CS_Error;
+                    CommandExecutor::getInstance().state_ = CS_Error;
                     return;
                 }
@@ -586,5 +586,5 @@
                 {
                     // Something is wrong
-                    CommandExecutor::getInstance().state_s = CS_Error;
+                    CommandExecutor::getInstance().state_ = CS_Error;
                     return;
                 }
@@ -595,7 +595,7 @@
                     // Valid command
                     // Check if there are enough parameters
-                    if (CommandExecutor::getInstance().tokens_s.size() >= 3)
-                    {
-                        CommandExecutor::getInstance().state_s = CS_KeybindFinished;
+                    if (CommandExecutor::getInstance().tokens_.size() >= 3)
+                    {
+                        CommandExecutor::getInstance().state_ = CS_KeybindFinished;
                         return;
                     }
@@ -605,5 +605,5 @@
                 {
                     // Something is wrong
-                    CommandExecutor::getInstance().state_s = CS_Error;
+                    CommandExecutor::getInstance().state_ = CS_Error;
                     return;
                 }
@@ -629,20 +629,20 @@
     void CommandExecutor::initialize()
     {
-        CommandExecutor::getInstance().listOfPossibleFunctionClasses_s.clear();
-        CommandExecutor::getInstance().listOfPossibleShortcuts_s.clear();
-        CommandExecutor::getInstance().listOfPossibleFunctions_s.clear();
-        CommandExecutor::getInstance().listOfPossibleConfigValueClasses_s.clear();
-        CommandExecutor::getInstance().listOfPossibleConfigValues_s.clear();
-        CommandExecutor::getInstance().listOfPossibleKeys_s.clear();
-
-        CommandExecutor::getInstance().functionclass_s = 0;
-        CommandExecutor::getInstance().configvalueclass_s = 0;
-        CommandExecutor::getInstance().shortcut_s = 0;
-        CommandExecutor::getInstance().function_s = 0;
-        CommandExecutor::getInstance().configvalue_s = 0;
-        CommandExecutor::getInstance().key_s = 0;
-
-        CommandExecutor::getInstance().errorMessage_s = "";
-        CommandExecutor::getInstance().state_s = CS_Empty;
+        CommandExecutor::getInstance().listOfPossibleFunctionClasses_.clear();
+        CommandExecutor::getInstance().listOfPossibleShortcuts_.clear();
+        CommandExecutor::getInstance().listOfPossibleFunctions_.clear();
+        CommandExecutor::getInstance().listOfPossibleConfigValueClasses_.clear();
+        CommandExecutor::getInstance().listOfPossibleConfigValues_.clear();
+        CommandExecutor::getInstance().listOfPossibleKeys_.clear();
+
+        CommandExecutor::getInstance().functionclass_ = 0;
+        CommandExecutor::getInstance().configvalueclass_ = 0;
+        CommandExecutor::getInstance().shortcut_ = 0;
+        CommandExecutor::getInstance().function_ = 0;
+        CommandExecutor::getInstance().configvalue_ = 0;
+        CommandExecutor::getInstance().key_ = 0;
+
+        CommandExecutor::getInstance().errorMessage_ = "";
+        CommandExecutor::getInstance().state_ = CS_Empty;
     }
 
@@ -651,5 +651,5 @@
         // Because we added a cursor we have +1 arguments
         // There are num arguments given if there are at least num arguments + one cursor
-        return (CommandExecutor::getInstance().tokens_s.size() >= (num + 1));
+        return (CommandExecutor::getInstance().tokens_.size() >= (num + 1));
     }
 
@@ -657,6 +657,6 @@
     {
         // Because we added a cursor we have +1 arguments
-        if (CommandExecutor::getInstance().tokens_s.size() >= 1)
-            return (CommandExecutor::getInstance().tokens_s.size() - 1);
+        if (CommandExecutor::getInstance().tokens_.size() >= 1)
+            return (CommandExecutor::getInstance().tokens_.size() - 1);
         else
             return 0;
@@ -665,8 +665,8 @@
     std::string CommandExecutor::getToken(unsigned int index)
     {
-        if ((index >= 0) && (index < (CommandExecutor::getInstance().tokens_s.size() - 1)))
-            return CommandExecutor::getInstance().tokens_s[index];
-        else if (index == (CommandExecutor::getInstance().tokens_s.size() - 1))
-            return CommandExecutor::getInstance().tokens_s[index].substr(0, CommandExecutor::getInstance().tokens_s[index].size() - 1);
+        if ((index >= 0) && (index < (CommandExecutor::getInstance().tokens_.size() - 1)))
+            return CommandExecutor::getInstance().tokens_[index];
+        else if (index == (CommandExecutor::getInstance().tokens_.size() - 1))
+            return CommandExecutor::getInstance().tokens_[index].substr(0, CommandExecutor::getInstance().tokens_[index].size() - 1);
         else
             return "";
@@ -683,5 +683,5 @@
                 break;
         }
-        return (CommandExecutor::getInstance().tokens_s.size() >= neededParams);
+        return (CommandExecutor::getInstance().tokens_.size() >= neededParams);
     }
 
@@ -694,10 +694,10 @@
                 if ((*it).first.find(getLowercase(fragment)) == 0)
                 {
-                    CommandExecutor::getInstance().listOfPossibleFunctionClasses_s.push_back(&(*it).first);
+                    CommandExecutor::getInstance().listOfPossibleFunctionClasses_.push_back(&(*it).first);
                 }
             }
         }
 
-        CommandExecutor::getInstance().listOfPossibleFunctionClasses_s.sort(CommandExecutor::compareStringsInList);
+        CommandExecutor::getInstance().listOfPossibleFunctionClasses_.sort(CommandExecutor::compareStringsInList);
     }
 
@@ -708,9 +708,9 @@
             if ((*it).first.find(getLowercase(fragment)) == 0)
             {
-                CommandExecutor::getInstance().listOfPossibleShortcuts_s.push_back(&(*it).first);
+                CommandExecutor::getInstance().listOfPossibleShortcuts_.push_back(&(*it).first);
             }
         }
 
-        CommandExecutor::getInstance().listOfPossibleShortcuts_s.sort(CommandExecutor::compareStringsInList);
+        CommandExecutor::getInstance().listOfPossibleShortcuts_.sort(CommandExecutor::compareStringsInList);
     }
 
@@ -721,9 +721,9 @@
             if ((*it).first.find(getLowercase(fragment)) == 0)
             {
-                CommandExecutor::getInstance().listOfPossibleFunctions_s.push_back(&(*it).first);
+                CommandExecutor::getInstance().listOfPossibleFunctions_.push_back(&(*it).first);
             }
         }
 
-        CommandExecutor::getInstance().listOfPossibleFunctions_s.sort(CommandExecutor::compareStringsInList);
+        CommandExecutor::getInstance().listOfPossibleFunctions_.sort(CommandExecutor::compareStringsInList);
     }
 
@@ -736,10 +736,10 @@
                 if ((*it).first.find(getLowercase(fragment)) == 0)
                 {
-                    CommandExecutor::getInstance().listOfPossibleConfigValueClasses_s.push_back(&(*it).first);
+                    CommandExecutor::getInstance().listOfPossibleConfigValueClasses_.push_back(&(*it).first);
                 }
             }
         }
 
-        CommandExecutor::getInstance().listOfPossibleConfigValueClasses_s.sort(CommandExecutor::compareStringsInList);
+        CommandExecutor::getInstance().listOfPossibleConfigValueClasses_.sort(CommandExecutor::compareStringsInList);
     }
 
@@ -750,9 +750,9 @@
             if ((*it).first.find(getLowercase(fragment)) == 0)
             {
-                CommandExecutor::getInstance().listOfPossibleConfigValues_s.push_back(&(*it).first);
+                CommandExecutor::getInstance().listOfPossibleConfigValues_.push_back(&(*it).first);
             }
         }
 
-        CommandExecutor::getInstance().listOfPossibleConfigValues_s.sort(CommandExecutor::compareStringsInList);
+        CommandExecutor::getInstance().listOfPossibleConfigValues_.sort(CommandExecutor::compareStringsInList);
     }
 
@@ -761,5 +761,5 @@
         // todo
 
-        CommandExecutor::getInstance().listOfPossibleKeys_s.sort(CommandExecutor::compareStringsInList);
+        CommandExecutor::getInstance().listOfPossibleKeys_.sort(CommandExecutor::compareStringsInList);
     }
 
Index: code/branches/core2/src/orxonox/core/CommandExecutor.h
===================================================================
--- code/branches/core2/src/orxonox/core/CommandExecutor.h	(revision 950)
+++ code/branches/core2/src/orxonox/core/CommandExecutor.h	(revision 951)
@@ -71,16 +71,16 @@
 
             /** @brief Returns the map that stores all console commands. @return The const_iterator */
-            static inline const std::map<std::string, ExecutorStatic*>& getConsoleCommandShortcutMap() { return CommandExecutor::getInstance().consoleCommandShortcuts_s; }
+            static inline const std::map<std::string, ExecutorStatic*>& getConsoleCommandShortcutMap() { return CommandExecutor::getInstance().consoleCommandShortcuts_; }
             /** @brief Returns a const_iterator to the beginning of the map that stores all console commands. @return The const_iterator */
-            static inline std::map<std::string, ExecutorStatic*>::const_iterator getConsoleCommandShortcutMapBegin() { return CommandExecutor::getInstance().consoleCommandShortcuts_s.begin(); }
+            static inline std::map<std::string, ExecutorStatic*>::const_iterator getConsoleCommandShortcutMapBegin() { return CommandExecutor::getInstance().consoleCommandShortcuts_.begin(); }
             /** @brief Returns a const_iterator to the end of the map that stores all console commands. @return The const_iterator */
-            static inline std::map<std::string, ExecutorStatic*>::const_iterator getConsoleCommandShortcutMapEnd() { return CommandExecutor::getInstance().consoleCommandShortcuts_s.end(); }
+            static inline std::map<std::string, ExecutorStatic*>::const_iterator getConsoleCommandShortcutMapEnd() { return CommandExecutor::getInstance().consoleCommandShortcuts_.end(); }
 
             /** @brief Returns the map that stores all console commands with their names in lowercase. @return The const_iterator */
-            static inline const std::map<std::string, ExecutorStatic*>& getLowercaseConsoleCommandShortcutMap() { return CommandExecutor::getInstance().consoleCommandShortcuts_LC_s; }
+            static inline const std::map<std::string, ExecutorStatic*>& getLowercaseConsoleCommandShortcutMap() { return CommandExecutor::getInstance().consoleCommandShortcuts_LC_; }
             /** @brief Returns a const_iterator to the beginning of the map that stores all console commands with their names in lowercase. @return The const_iterator */
-            static inline std::map<std::string, ExecutorStatic*>::const_iterator getLowercaseConsoleCommandShortcutMapBegin() { return CommandExecutor::getInstance().consoleCommandShortcuts_LC_s.begin(); }
+            static inline std::map<std::string, ExecutorStatic*>::const_iterator getLowercaseConsoleCommandShortcutMapBegin() { return CommandExecutor::getInstance().consoleCommandShortcuts_LC_.begin(); }
             /** @brief Returns a const_iterator to the end of the map that stores all console commands with their names in lowercase. @return The const_iterator */
-            static inline std::map<std::string, ExecutorStatic*>::const_iterator getLowercaseConsoleCommandShortcutMapEnd() { return CommandExecutor::getInstance().consoleCommandShortcuts_LC_s.end(); }
+            static inline std::map<std::string, ExecutorStatic*>::const_iterator getLowercaseConsoleCommandShortcutMapEnd() { return CommandExecutor::getInstance().consoleCommandShortcuts_LC_.end(); }
 
         private:
@@ -123,25 +123,25 @@
             static ConfigValueContainer* getContainerOfPossibleKey(const std::string& name);
 
-            std::string lastProcessedCommand_s;
-            SubString tokens_s;
-            std::list<const std::string*> listOfPossibleFunctionClasses_s;
-            std::list<const std::string*> listOfPossibleShortcuts_s;
-            std::list<const std::string*> listOfPossibleFunctions_s;
-            std::list<const std::string*> listOfPossibleConfigValueClasses_s;
-            std::list<const std::string*> listOfPossibleConfigValues_s;
-            std::list<const std::string*> listOfPossibleKeys_s;
+            std::string lastProcessedCommand_;
+            SubString tokens_;
+            std::list<const std::string*> listOfPossibleFunctionClasses_;
+            std::list<const std::string*> listOfPossibleShortcuts_;
+            std::list<const std::string*> listOfPossibleFunctions_;
+            std::list<const std::string*> listOfPossibleConfigValueClasses_;
+            std::list<const std::string*> listOfPossibleConfigValues_;
+            std::list<const std::string*> listOfPossibleKeys_;
 
-            Identifier* functionclass_s;
-            Identifier* configvalueclass_s;
-            ExecutorStatic* shortcut_s;
-            ExecutorStatic* function_s;
-            ConfigValueContainer* configvalue_s;
-            ConfigValueContainer* key_s;
+            Identifier* functionclass_;
+            Identifier* configvalueclass_;
+            ExecutorStatic* shortcut_;
+            ExecutorStatic* function_;
+            ConfigValueContainer* configvalue_;
+            ConfigValueContainer* key_;
 
-            std::string errorMessage_s;
-            CommandState state_s;
+            std::string errorMessage_;
+            CommandState state_;
 
-            std::map<std::string, ExecutorStatic*> consoleCommandShortcuts_s;
-            std::map<std::string, ExecutorStatic*> consoleCommandShortcuts_LC_s;
+            std::map<std::string, ExecutorStatic*> consoleCommandShortcuts_;
+            std::map<std::string, ExecutorStatic*> consoleCommandShortcuts_LC_;
     };
 }
